# `sample_probe_fn` Interface

A sample probe policy.

This class serves to show the interface a probe functor needs to support.

Defined in: `sample_probe_fn.hpp`

## Public Types and Constants

### General definitions.

Type | Definition | Description

    size_type

    size_t, e.g.

Size type.

## Public Methods

### Constructors, destructor, and related.

Method | Description

      sample_probe_fn
      ()

Default constructor.

Must be default constructable.

      sample_probe_fn
      (const sample_probe_fn &other)

Copy constructor.

Must be copy constructable.

    inline void
      swap
      (sample_probe_fn &other)

Swaps content.

Must be swappable (if there is such a word).

## Protected Methods

### Offset methods.

Method | Description

    inline size_type
      operator()
      (const_key_reference r_key,
        size_type i) const

Returns the `i`-th offset from the hash value of some key `r_key`.

`size_type` is the size type on which the functor operates.